﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;

using Petzold.ChooseFont;

namespace TestProject
{
    /// <summary>
    /// 노트패드 클론 (Format)
    /// </summary>
    public partial class NotepadClone
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region Font 메뉴 항목 클릭시 처리하기 - fontMenuItem_Click(sender, e)

        /// <summary>
        /// Font 메뉴 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void fontMenuItem_Click(object sender, RoutedEventArgs e)
        {
            FontDialog fontDialog = new FontDialog();

            fontDialog.Owner = this;

            fontDialog.Typeface = new Typeface(this.textBox.FontFamily, this.textBox.FontStyle , this.textBox.FontWeight, this.textBox.FontStretch);

            fontDialog.FaceSize = this.textBox.FontSize;

            if(fontDialog.ShowDialog().GetValueOrDefault())
            {
                this.textBox.FontFamily  = fontDialog.Typeface.FontFamily;
                this.textBox.FontSize    = fontDialog.FaceSize;
                this.textBox.FontStyle   = fontDialog.Typeface.Style;
                this.textBox.FontWeight  = fontDialog.Typeface.Weight;
                this.textBox.FontStretch = fontDialog.Typeface.Stretch;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Function

        #region Format 메뉴 추가하기 - AddFormatMenu(menu)

        /// <summary>
        /// Format 메뉴 추가하기
        /// </summary>
        /// <param name="menu">Menu 객체</param>
        private void AddFormatMenu(Menu menu)
        {
            #region Format 메뉴 항목

            MenuItem formatMenuItem = new MenuItem();

            formatMenuItem.Header = "F_ormat";

            menu.Items.Add(formatMenuItem);

            #endregion
                #region Word-Wrap 메뉴 항목

                WordWrapMenuItem wordWrapMenuItem = new WordWrapMenuItem();

                formatMenuItem.Items.Add(wordWrapMenuItem);

                Binding binding = new Binding();

                binding.Path   = new PropertyPath(TextBox.TextWrappingProperty);
                binding.Source = textBox;
                binding.Mode   = BindingMode.TwoWay;

                wordWrapMenuItem.SetBinding(WordWrapMenuItem.WordWrapProperty, binding);

                #endregion
                #region Font 메뉴 항목

                MenuItem fontMenuItem = new MenuItem();

                fontMenuItem.Header = "_Font...";

                fontMenuItem.Click += fontMenuItem_Click;

                formatMenuItem.Items.Add(fontMenuItem);

                #endregion
        }

        #endregion
    }
}