﻿using System;
using System.Reflection;
using System.Windows;
using System.Windows.Controls;

namespace TestProject
{
    /// <summary>
    /// 노트패드 클론 (Help)
    /// </summary>
    public partial class NotepadClone
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region About 메뉴 항목 클릭시 처리하기 - aboutMenuItem_Click(sender, e)

        /// <summary>
        /// About 메뉴 항목 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void aboutMenuItem_Click(object sender, RoutedEventArgs e)
        {
            AboutDialog aboutDialog = new AboutDialog(this);

            aboutDialog.ShowDialog();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Function

        #region Help 메뉴 추가하기 - AddHelpMenu(menu)

        /// <summary>
        /// Help 메뉴 추가하기
        /// </summary>
        /// <param name="menu">Menu 객체</param>
        private void AddHelpMenu(Menu menu)
        {
            #region Help 메뉴 항목

            MenuItem helpMenuItem = new MenuItem();

            helpMenuItem.Header = "_Help";

            helpMenuItem.SubmenuOpened += viewMenuItem_SubmenuOpened;

            menu.Items.Add(helpMenuItem);

            #endregion
                #region About 메뉴 항목

                MenuItem aboutMenuItem = new MenuItem();

                aboutMenuItem.Header = "_About " + applicationTitle + "...";

                aboutMenuItem.Click += aboutMenuItem_Click;

                helpMenuItem.Items.Add(aboutMenuItem);

                #endregion
        }

        #endregion
    }
}