﻿using System.Windows;
using System.Windows.Controls;

namespace TestProject
{
    /// <summary>
    /// 노트패드 클론 (View)
    /// </summary>
    public partial class NotepadClone
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// Status Bar 메뉴 항목
        /// </summary>
        private MenuItem statusBarMenuItem;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region View 메뉴 항목 하위 메뉴 오픈시 처리하기 - viewMenuItem_SubmenuOpened(sender, e)

        /// <summary>
        /// View 메뉴 항목 하위 메뉴 오픈시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void viewMenuItem_SubmenuOpened(object sender, RoutedEventArgs e)
        {
            this.statusBarMenuItem.IsChecked = (statusBar.Visibility == Visibility.Visible);
        }

        #endregion
        #region Status Bar 메뉴 항목 체크시 처리하기 - statusBarMenuItem_Checked(sender, e)

        /// <summary>
        /// Status Bar 메뉴 항목 체크시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void statusBarMenuItem_Checked(object sender, RoutedEventArgs e)
        {
            MenuItem menuItem = sender as MenuItem;

            this.statusBar.Visibility = menuItem.IsChecked ? Visibility.Visible : Visibility.Collapsed;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Function

        #region View 메뉴 추가하기 - AddViewMenu(menu)

        /// <summary>
        /// View 메뉴 추가하기
        /// </summary>
        /// <param name="menu">Menu 객체</param>
        private void AddViewMenu(Menu menu)
        {
            #region View 메뉴 항목

            MenuItem viewMenuItem = new MenuItem();

            viewMenuItem.Header = "_View";

            viewMenuItem.SubmenuOpened += viewMenuItem_SubmenuOpened;

            menu.Items.Add(viewMenuItem);

            #endregion
                #region Status Bar 메뉴 항목

                this.statusBarMenuItem = new MenuItem();

                this.statusBarMenuItem.Header      = "_Status Bar";
                this.statusBarMenuItem.IsCheckable = true;

                this.statusBarMenuItem.Checked   += statusBarMenuItem_Checked;
                this.statusBarMenuItem.Unchecked += statusBarMenuItem_Checked;

                viewMenuItem.Items.Add(this.statusBarMenuItem);

                #endregion
        }

        #endregion
    }
}