﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

using TestProject;

namespace TestProject
{
    /// <summary>
    /// Xaml Cruncher 설정
    /// </summary>
    public class XamlCruncherSetting : NotepadCloneSetting
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 방향
        /// </summary>
        public Dock Orientation = Dock.Left;

        /// <summary>
        /// 탭 스페이스 수
        /// </summary>
        public int TabSpaceCount = 4;

        /// <summary>
        /// 시작 문서
        /// </summary>
        public string StartupDocument = "<Button\r\n"                                                                 +
                                        "    xmlns=\"http://schemas.microsoft.com/winfx/2006/xaml/presentation\"\r\n" +
                                        "    xmlns:x=\"http://schemas.microsoft.com/winfx/2006/xaml\">\r\n"           +
                                        "    Hello, XAML!\r\n"                                                        +
                                        "</Button>\n";

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Construtor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - XamlCruncherSetting()

        /// <summary>
        /// 생성자
        /// </summary>
        public XamlCruncherSetting()
        {
            FontFamily = "Lucida Console";

            FontSize = 12d / 0.75d;
        }

        #endregion
    }
}