﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace TestProject
{
    /// <summary>
    /// Xaml 탭 스페이스 수 대화 상자
    /// </summary>
    public partial class XamlTabSpaceCountDialog
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 탭 스페이스 수 - TabSpaceCount

        /// <summary>
        /// 탭 스페이스 수
        /// </summary>
        public int TabSpaceCount
        {
            set
            {
                this.textBox.Text = value.ToString();
            }
            get
            {
                return Int32.Parse(this.textBox.Text);
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - XamlTabSpaceCountDialog()

        /// <summary>
        /// 생성자
        /// </summary>
        public XamlTabSpaceCountDialog()
        {
            InitializeComponent();

            this.textBox.Focus();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 텍스트 박스 텍스트 변경시 처리하기 - textBox_TextChanged(sender, e)

        /// <summary>
        /// 텍스트 박스 텍스트 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void textBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            int result;

            this.okButton.IsEnabled = (Int32.TryParse(this.textBox.Text, out result) && result > 0 && result < 11);
        }

        #endregion
        #region OK 버튼 클릭시 처리하기 - okButton_Click(sender, e)

        /// <summary>
        /// OK 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void okButton_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }

        #endregion
    }
}